<?php

/**
 * Main class
 *
 */
if (!class_exists('gpls_woo_rfq_ninja_product_meta')) {

    class gpls_woo_rfq_ninja_product_meta
    {



        public static function init()
        {


            add_action( 'woocommerce_product_options_advanced', array(get_class(), 'gpls_woo_rfq_ninja_add_custom_general_fields' ),10,0);
// Save Fields
            add_action( 'woocommerce_process_product_meta', array(get_class(),'gpls_woo_rfq_ninja_add_custom_general_fields_save' ),10,1);

        }


        public static function gpls_woo_rfq_ninja_add_custom_general_fields() {

            global $woocommerce, $post;
// Text Field

            woocommerce_wp_select(
                array(
                    'id' => 'gpls_woo_rfq_ninja_product_form',
                    'label' => __( 'Enable a Ninja Form pop-up for this product.', 'text-gpls-woo-rfq' ),
                    'desc_tip' => 'true',
                    'options' => GPLS_Woo_RFQ_Settings::get_ninja_forms(),
                    'description' => __( 'This overrides your Ninja Form pop-up setting in your RFQ-ToolKit setting tab in WooCommerce Setting ', 'text-gpls-woo-rfq' )

                ));

            woocommerce_wp_text_input(
                array(
                    'id'          => 'gpls_woo_rfq_ninja_product_form_label',
                    'label'       => __( 'Label for Ninja Form pop-up for this product', 'woo-rfq-for-woocommerce' ),
                    'placeholder' => 'Get More Info',
                    'desc_tip'    => 'true',
                    'description' => ''
                )
            );

        }

        public static function gpls_woo_rfq_ninja_add_custom_general_fields_save( $post_id ){

            $gpls_woo_rfq_ninja_product_form = $_POST['gpls_woo_rfq_ninja_product_form'];

            if( isset( $gpls_woo_rfq_ninja_product_form ) ) {
                update_post_meta($post_id, 'gpls_woo_rfq_ninja_product_form', esc_html($gpls_woo_rfq_ninja_product_form));
            }else{
                update_post_meta($post_id, 'gpls_woo_rfq_ninja_product_form','');
            }

            $gpls_woo_rfq_ninja_product_form_label = $_POST['gpls_woo_rfq_ninja_product_form_label'];

            if( isset( $gpls_woo_rfq_ninja_product_form_label ) ) {
                update_post_meta($post_id, 'gpls_woo_rfq_ninja_product_form_label', esc_html($gpls_woo_rfq_ninja_product_form_label));
            }else{
                update_post_meta($post_id, 'gpls_woo_rfq_ninja_product_form_label','');
            }


        }

    }

}
